Index: src/sas/sascalc/corfunc/LICENSE.TXT
===================================================================
--- src/sas/sascalc/corfunc/LICENSE.TXT	(revision 357a65ad31a89beb165d65e718035be1a1412fa9)
+++ src/sas/sascalc/corfunc/LICENSE.TXT	(revision 357a65ad31a89beb165d65e718035be1a1412fa9)
@@ -0,0 +1,23 @@
+From https://github.com/rprospero/corfunc-py
+
+The MIT License (MIT)
+
+Copyright (c) 2016 rprospero
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all
+copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+SOFTWARE.
Index: src/sas/sascalc/fit/pagestate.py
===================================================================
--- src/sas/sascalc/fit/pagestate.py	(revision 59873e112188eeb053c5c84f0936a10f563da235)
+++ src/sas/sascalc/fit/pagestate.py	(revision 863ac2c13917d1e25dc3fe0061ef11ef07b02366)
@@ -640,5 +640,6 @@
                 if len(value.strip()) == 0:
                     continue
-                title = value + " [" + repo_time + "]"
+                title = (value + " [" + repo_time + "] [SasView v" +
+                         SASVIEW_VERSION + "]")
                 title_name = HEADER % title
             elif name == "data":
Index: src/sas/sasgui/guiframe/aboutbox.py
===================================================================
--- src/sas/sasgui/guiframe/aboutbox.py	(revision b963b2066d6a76fe5073000c5a596a6fd0130ac4)
+++ src/sas/sasgui/guiframe/aboutbox.py	(revision 1b4cb415644d6a02d2bc0e559654a42560242058)
@@ -108,4 +108,5 @@
         self.bitmap_button_tudelft = wx.BitmapButton(self, -1, wx.NullBitmap)
         self.bitmap_button_dls = wx.BitmapButton(self, -1, wx.NullBitmap)
+        self.bitmap_button_bam = wx.BitmapButton(self, -1, wx.NullBitmap)
 
         self.static_line_3 = wx.StaticLine(self, -1)
@@ -128,4 +129,5 @@
         self.Bind(wx.EVT_BUTTON, self.onTudelftLogo, self.bitmap_button_tudelft)
         self.Bind(wx.EVT_BUTTON, self.onDlsLogo, self.bitmap_button_dls)
+        self.Bind(wx.EVT_BUTTON, self.onBamLogo, self.bitmap_button_bam)
         # end wxGlade
         # fill in acknowledgements
@@ -226,4 +228,10 @@
         logo = wx.Bitmap(image)
         self.bitmap_button_dls.SetBitmapLabel(logo)
+
+        image = file_dir + "/images/bam_logo.png"
+        if os.path.isfile(config._bam_logo):
+            image = config._bam_logo
+        logo = wx.Bitmap(image)
+        self.bitmap_button_bam.SetBitmapLabel(logo)
 
         # resize dialog window to fit version number nicely
@@ -258,4 +266,5 @@
         self.bitmap_button_tudelft.SetSize(self.bitmap_button_tudelft.GetBestSize())
         self.bitmap_button_dls.SetSize(self.bitmap_button_dls.GetBestSize())
+        self.bitmap_button_bam.SetSize(self.bitmap_button_bam.GetBestSize())
         # end wxGlade
 
@@ -325,4 +334,6 @@
         sizer_logos.Add(self.bitmap_button_dls, 0,
                         wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_bam, 0,
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
 
         sizer_logos.Add((10, 50), 0, wx.ADJUST_MINSIZE, 0)
@@ -430,4 +441,11 @@
         event.Skip()
 
+    def onBamLogo(self, event):
+        """
+        """
+        # wxGlade: DialogAbout.<event_handler>
+        launchBrowser(config._bam_url)
+        event.Skip()
+
 # end of class DialogAbout
 
Index: src/sas/sasgui/guiframe/config.py
===================================================================
--- src/sas/sasgui/guiframe/config.py	(revision 1efbc190a388190d54fbdbcf384110dd991977fe)
+++ src/sas/sasgui/guiframe/config.py	(revision 1b4cb415644d6a02d2bc0e559654a42560242058)
@@ -33,4 +33,5 @@
 _do_aboutbox = True
 _do_acknowledge = True
+_do_release = True
 _do_tutorial = True
 _acknowledgement_preamble =\
@@ -49,7 +50,6 @@
 _acknowledgement_citation = \
 '''M. Doucet et al. SasView Version 4.1.2, Zenodo, 10.5281/zenodo.825675'''
-
 _acknowledgement =  \
-'''This work was originally developed as part of the DANSE project funded by the US NSF under Award DMR-0520547,\n but is currently maintained by a collaboration between UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, DLS, and the scattering community.\n\n SasView also contains code developed with funding from the EU Horizon 2020 programme under the SINE2020 project (Grant No 654000).\nA list of individual contributors can be found at: http://www.sasview.org/contact.html
+'''This work was originally developed as part of the DANSE project funded by the US NSF under Award DMR-0520547,\n but is currently maintained by a collaboration between UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, DLS, BAM and the scattering community.\n\n SasView also contains code developed with funding from the EU Horizon 2020 programme under the SINE2020 project (Grant No 654000).\nA list of individual contributors can be found at: http://www.sasview.org/contact.html
 '''
 
@@ -90,9 +90,10 @@
 _tudelft_url = "http://www.tnw.tudelft.nl/en/cooperation/facilities/reactor-instituut-delft/"
 _dls_url = "http://www.diamond.ac.uk/"
+_bam_url = "http://www.bam.de/"
 _danse_url = "http://www.cacr.caltech.edu/projects/danse/release/index.html"
 _inst_url = "http://www.utk.edu"
 _corner_image = os.path.join(icon_path, "angles_flat.png")
 _welcome_image = os.path.join(icon_path, "SVwelcome.png")
-_copyright = "(c) 2009 - 2017, UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, and DLS"
+_copyright = "(c) 2009 - 2018, UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, DLS and BAM"
 marketplace_url = "http://marketplace.sasview.org/"
 
Index: src/sas/sasgui/guiframe/gui_manager.py
===================================================================
--- src/sas/sasgui/guiframe/gui_manager.py	(revision b1ec23da8185a2a0dbda947ce190774e0b87aa90)
+++ src/sas/sasgui/guiframe/gui_manager.py	(revision b1ec23da8185a2a0dbda947ce190774e0b87aa90)
@@ -1277,11 +1277,24 @@
 
         wx_id = wx.NewId()
-        self._help_menu.Append(wx_id, '&Documentation', '')
+        self._help_menu.Append(wx_id, '&Documentation', 'Help documentation for SasView')
         wx.EVT_MENU(self, wx_id, self._onSphinxDocs)
 
         if config._do_tutorial and (IS_WIN or sys.platform == 'darwin'):
             wx_id = wx.NewId()
-            self._help_menu.Append(wx_id, '&Tutorial', 'Software tutorial')
+            # Pluralised both occurences of 'Tutorial' in the line below
+            # S King, Sep 2018
+            self._help_menu.Append(wx_id, '&Tutorials', 'Tutorials on how to use SasView')
             wx.EVT_MENU(self, wx_id, self._onTutorial)
+
+        if config.marketplace_url:
+            wx_id = wx.NewId()
+            self._help_menu.Append(wx_id, '&Model marketplace', 'Plug-in fitting models for SasView')
+            wx.EVT_MENU(self, wx_id, self._on_marketplace_click)
+
+        if config._do_release:
+            wx_id = wx.NewId()
+            self._help_menu.Append(wx_id, '&Release notes',
+                                   'SasView release notes and known issues')
+            wx.EVT_MENU(self, wx_id, self._onRelease)
 
         if config._do_acknowledge:
@@ -1294,11 +1307,6 @@
             logger.info("Doing help menu")
             wx_id = wx.NewId()
-            self._help_menu.Append(wx_id, '&About', 'Software information')
+            self._help_menu.Append(wx_id, '&About', 'Information about SasView')
             wx.EVT_MENU(self, wx_id, self._onAbout)
-
-        if config.marketplace_url:
-            wx_id = wx.NewId()
-            self._help_menu.Append(wx_id, '&Model marketplace', '')
-            wx.EVT_MENU(self, wx_id, self._on_marketplace_click)
 
         # Checking for updates
@@ -2138,4 +2146,18 @@
             dialog.ShowModal()
 
+    def _onRelease(self, evt):
+        """
+        Pop up the release notes
+
+        :param evt: menu event
+
+        """
+        # S King, Sep 2018
+
+        from documentation_window import DocumentationWindow
+        _TreeLocation = "user/release.html"
+        DocumentationWindow(self, -1, _TreeLocation, "",
+                            "SasView Documentation")
+
     def _onTutorial(self, evt):
         """
@@ -2145,42 +2167,17 @@
 
         """
-        if config._do_tutorial:
-            path = config.TUTORIAL_PATH
-            if IS_WIN:
-                try:
-                    from sas.sasgui.guiframe.pdfview import PDFFrame
-                    dialog = PDFFrame(None, -1, "Tutorial", path)
-                    # put icon
-                    self.put_icon(dialog)
-                    dialog.Show(True)
-                except:
-                    logger.error("Error in _onTutorial: %s" % sys.exc_value)
-                    try:
-                        # Try an alternate method
-                        logger.error(
-                            "Could not open the tutorial pdf, trying xhtml2pdf")
-                        from xhtml2pdf import pisa
-                        pisa.startViewer(path)
-                    except:
-                        logger.error(
-                            "Could not open the tutorial pdf with xhtml2pdf")
-                        msg = "This feature requires 'PDF Viewer'\n"
-                        wx.MessageBox(msg, 'Error')
-            else:
-                try:
-                    command = "open '%s'" % path
-                    os.system(command)
-                except:
-                    try:
-                        # Try an alternate method
-                        logger.error(
-                            "Could not open the tutorial pdf, trying xhtml2pdf")
-                        from xhtml2pdf import pisa
-                        pisa.startViewer(path)
-                    except:
-                        logger.error(
-                            "Could not open the tutorial pdf with xhtml2pdf")
-                        msg = "This feature requires the Preview application\n"
-                        wx.MessageBox(msg, 'Error')
+        # Action changed from that in 2.x/3.x/4.0.x/4.1.x
+        # Help >> Tutorial used to bring up a pdf of the
+        # original 2.x tutorial.
+        # Code below, implemented from 4.2.0, redirects
+        # action to the Tutorials page of the help 
+        # documentation to give access to all available
+        # tutorials
+        # S King, Sep 2018
+
+        from documentation_window import DocumentationWindow
+        _TreeLocation = "user/tutorial.html"
+        DocumentationWindow(self, -1, _TreeLocation, "",
+                            "SasView Documentation")
 
     def _onSphinxDocs(self, evt):
Index: src/sas/sasgui/perspectives/corfunc/corfunc_panel.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision 2a399cab29be825175279ecb215dd7ac22191496)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision 5652efcc300905660181472befe611868f2ddeb8)
@@ -20,5 +20,5 @@
 
 OUTPUT_STRINGS = {
-    'max': "Long Period / 2 (A): ",
+    'max': "Long Period (A): ",
     'Lc': "Average Hard Block Thickness (A): ",
     'dtr': "Average Interface Thickness (A): ",
Index: src/sas/sasgui/perspectives/corfunc/corfunc_state.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 1fa4f7368e26981352615cbfb337a581ed97031f)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 5652efcc300905660181472befe611868f2ddeb8)
@@ -28,5 +28,5 @@
 # List of output parameters, used by __str__
 output_list = [
-    ['max', "Long Period / 2 (A): "],
+    ['max', "Long Period (A): "],
     ['Lc', "Average Hard Block Thickness (A): "],
     ['dtr', "Average Interface Thickness (A): "],
Index: src/sas/sasgui/perspectives/corfunc/media/corfunc_help.rst
===================================================================
--- src/sas/sasgui/perspectives/corfunc/media/corfunc_help.rst	(revision 501712f1244207d4374798e9fc89547f1f6af96d)
+++ src/sas/sasgui/perspectives/corfunc/media/corfunc_help.rst	(revision 490f79075e15c069f2a131d3ccd6a1e510e7dcfe)
@@ -33,6 +33,6 @@
 Both analyses are performed in 3 stages:
 
-*  Extrapolation of the scattering curve to :math:`Q = 0` and toward 
-   :math:`Q = \infty`
+*  Extrapolation of the scattering curve to :math:`q = 0` and toward 
+   :math:`q = \infty`
 *  Smoothed merging of the two extrapolations into the original data
 *  Fourier / Hilbert Transform of the smoothed data to give the correlation
@@ -47,5 +47,5 @@
 -------------
 
-To :math:`Q = 0`
+To :math:`q = 0`
 ................
 
@@ -67,5 +67,5 @@
 the impact on any extrapolated parameters will be least significant.
 
-To :math:`Q = \infty`
+To :math:`q = \infty`
 .....................
 
@@ -145,7 +145,7 @@
 	- do they smoothly curve onto the ordinate at x = 0? (if not check the value 
 	  of :math:`\sigma` is sensible)
-	- are there ripples at x values corresponding to (2 :math:`pi` over) the two 
+	- are there ripples at x values corresponding to (2 :math:`\pi` over) the two 
 	  q values at which the extrapolated and experimental data are merged?
-	- are there any artefacts at x values corresponding to 2 :math:`pi` / q\ :sub:`max` in 
+	- are there any artefacts at x values corresponding to 2 :math:`\pi` / q\ :sub:`max` in 
 	  the experimental data? 
 	- and lastly, do the significant features/peaks in the correlation functions 
@@ -158,5 +158,6 @@
     -q^{4} I(q)
 
-The IDF is proportional to the second derivative of Î\ :sub:`1`\ (x).
+The IDF is proportional to the second derivative of Î\ :sub:`1`\ (x) and represents a 
+superposition of thickness distributions from all the contributing lamellae. 
 
 Hilbert
@@ -192,4 +193,8 @@
 *   Local Crystallinity :math:`= L_c/L_p`
 
+.. warning:: If the sample does not possess lamellar morphology then "Compute 
+    Parameters" will return garbage!
+	
+
 Volume Fraction Profile
 .......................
@@ -213,4 +218,5 @@
 
 The reader is directed to the references for information on these parameters.
+
 
 References
@@ -263,5 +269,8 @@
 Once the Q ranges have been set, click the "Calculate Bg" button to determine the 
 background level. Alternatively, enter your own value into the box. If the box turns 
-yellow this indicates that background subtraction has created some negative intensities.
+yellow this indicates that background subtraction has created some negative intensities. 
+This may still be fine provided the peak intensity is very much greater than the 
+background level. The important point is that the extrapolated dataset must approach 
+zero at high-q.
 
 Now click the "Extrapolate" button to extrapolate the data. The graph window will update 
@@ -296,3 +305,3 @@
 
 .. note::
-    This help document was last changed by Steve King, 26Sep2017
+    This help document was last changed by Steve King, 28Sep2017
Index: src/sas/sasgui/perspectives/corfunc/media/fdr-pdfs.rst
===================================================================
--- src/sas/sasgui/perspectives/corfunc/media/fdr-pdfs.rst	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/corfunc/media/fdr-pdfs.rst	(revision 577460c4e9deaf6cfae8919e7bcdafd2d48e600c)
@@ -7,4 +7,6 @@
 
 :download:`Fibre_Diffraction_Review_1994_3_25-29.pdf <Fibre_Diffraction_Review_1994_3_25-29.pdf>`
+
 :download:`Fibre_Diffraction_Review_2004_12_24.pdf <Fibre_Diffraction_Review_2004_12_24.pdf>`
+
 :download:`Fibre_Diffraction_Review_2005_13_19-22.pdf <Fibre_Diffraction_Review_2005_13_19-22.pdf>`
Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision b43988196e5c4f2dfbf3ec5c9b66703d5656b08d)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision 5323490d62009a786d3d071b2197b51ce207354d)
@@ -2884,9 +2884,9 @@
             self.magnetic_on = True
             button.SetLabel("Magnetic OFF")
-            m_value = 1.0e-06
+            m_value = 1
             for key in self.model.magnetic_params:
                 if key.count('M0') > 0:
                     self.model.setParam(key, m_value)
-                    m_value += 0.5e-06
+                    m_value += 0.5
         else:
             self.magnetic_on = False
Index: src/sas/sasgui/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpage.py	(revision dabcaf7ca863c03f09de926ea406e209584fcc67)
+++ src/sas/sasgui/perspectives/fitting/fitpage.py	(revision ba1c14560ba5f607c084c317e9b98cd8acfbfaa7)
@@ -3,4 +3,6 @@
     fitting  a model and one data
 """
+from __future__ import print_function
+
 import sys
 import wx
@@ -1255,4 +1257,7 @@
         if saved_pars:
             self.get_paste_params(saved_pars)
+
+        # Make sure the model parameters correspond to the fit parameters
+        self._update_paramv_on_fit()
 
         if event is not None:
Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision af7d2e5c4b089515a7841687ec13dddc6ab43a95)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision aba455916c90b078a4a7d77651680d2dbf1b959f)
@@ -339,5 +339,4 @@
         Update custom model list in the fitpage combo box
         """
-        custom_model = 'Plugin Models'
         try:
             # Update edit menus
@@ -347,35 +346,75 @@
             if not new_pmodel_list:
                 return
-            # Set the new plugin model list for all fit pages
+
+            # Redraws to a page not in focus are showing up as if they are
+            # in the current page tab.
+            current_page_index = self.fit_panel.GetSelection()
+            current_page = self.fit_panel.GetCurrentPage()
+            last_drawn_page = current_page
+
+            # Set the new plugin model list for all fit pages; anticipating
+            # categories, the updated plugin may be in either the form factor
+            # or the structure factor combo boxes
             for uid, page in self.fit_panel.opened_pages.iteritems():
-                if hasattr(page, "formfactorbox"):
-                    page.model_list_box = new_pmodel_list
-                    mod_cat = page.categorybox.GetStringSelection()
-                    if mod_cat == custom_model:
-                        box = page.formfactorbox
-                        model_name = box.GetValue()
-                        model = (box.GetClientData(box.GetCurrentSelection())
-                                 if model_name else None)
-                        page._show_combox_helper()
-                        new_index = box.FindString(model_name)
-                        new_model = (box.GetClientData(new_index)
-                                     if new_index >= 0 else None)
-                        if new_index >= 0:
-                            box.SetStringSelection(model_name)
-                        else:
-                            box.SetStringSelection('')
-                        if model and new_model != model:
-                            page._on_select_model(keep_pars=True)
-                    if hasattr(page, "structurebox"):
-                        selected_name = page.structurebox.GetStringSelection()
-
-                        page.structurebox.Clear()
-                        page.initialize_combox()
-
-                        index = page.structurebox.FindString(selected_name)
-                        if index == -1:
-                            index = 0
-                        page.structurebox.SetSelection(index)
-                        page._on_select_model()
+                pbox = getattr(page, "formfactorbox", None)
+                sbox = getattr(page, "structurebox", None)
+                if pbox is None:
+                    continue
+
+                # Set the new model list for the page
+                page.model_list_box = new_pmodel_list
+
+                # Grab names of the P and S models from the page.  Need to do
+                # this before resetting the form factor box since that clears
+                # the structure factor box.
+                old_struct = old_form = None
+                form_name = pbox.GetValue()
+                struct_name = sbox.GetStringSelection()
+                if form_name:
+                    old_form = pbox.GetClientData(pbox.GetCurrentSelection())
+                if struct_name:
+                    old_struct = sbox.GetClientData(sbox.GetCurrentSelection())
+
+                # Reset form factor combo box.  We are doing this for all
+                # categories not just plugins since eventually the category
+                # manager will allow plugin models to be anywhere.
+                page._show_combox_helper()
+                form_index = pbox.FindString(form_name)
+                pbox.SetSelection(form_index)
+                new_form = (pbox.GetClientData(form_index)
+                            if form_index != wx.NOT_FOUND else None)
+                #print("form: %r"%form_name, old_form, new_form)
+
+                # Reset structure factor combo box; even if the model list
+                # hasn't changed, the model may have.  Show the structure
+                # factor combobox if the selected model is a form factor.
+                sbox.Clear()
+                page.initialize_combox()
+                if new_form is not None and getattr(new_form, 'is_form_factor', False):
+                    sbox.Show()
+                    sbox.Enable()
+                    page.text2.Show()
+                    page.text2.Enable()
+                struct_index = sbox.FindString(struct_name)
+                sbox.SetSelection(struct_index)
+                new_struct = (sbox.GetClientData(struct_index)
+                              if struct_index != wx.NOT_FOUND else None)
+                #print("struct: %r"%struct_name, old_struct, new_struct)
+
+                # Update the page if P or S has changed
+                if old_form != new_form or old_struct != new_struct:
+                    #print("triggering model update")
+                    page._on_select_model(keep_pars=True)
+                    last_drawn_page = page
+
+            # If last drawn is not the current, then switch the current to the
+            # last drawn then switch back.  Very ugly.
+            if last_drawn_page != current_page:
+                for page_index in range(self.fit_panel.PageCount):
+                    if self.fit_panel.GetPage(page_index) == last_drawn_page:
+                        self.fit_panel.SetSelection(page_index)
+                        break
+                self.fit_panel.SetSelection(current_page_index)
+
         except Exception:
             logger.error("update_custom_combo: %s", sys.exc_value)
Index: src/sas/sasgui/perspectives/invariant/invariant_state.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision fa412df39d3c5338c2c5f69fed935b428f385ebe)
+++ src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision e9920cd1fef162ad399cc9f42a588bb14006c327)
@@ -130,8 +130,10 @@
         my_time, date = self.timestamp
         file_name = self.file
+        from sas.sasview.__init__ import __version__ as sasview_version
 
         state_num = int(self.saved_state['state_num'])
         state = "\n[Invariant computation for %s: " % file_name
-        state += "performed at %s on %s] \n" % (my_time, date)
+        state += "performed at %s on %s] " % (my_time, date)
+        state += "[SasView v%s]\n" % (sasview_version)
         state += "State No.: %d \n" % state_num
         state += "\n=== Inputs ===\n"
Index: src/sas/sasview/local_config.py
===================================================================
--- src/sas/sasview/local_config.py	(revision b229a3bf14cf52237670dc67090e092cbe9939db)
+++ src/sas/sasview/local_config.py	(revision 1b4cb415644d6a02d2bc0e559654a42560242058)
@@ -33,4 +33,5 @@
 _do_aboutbox = True
 _do_acknowledge = True
+_do_release = True
 _do_tutorial = True
 _acknowledgement_preamble =\
@@ -49,7 +50,6 @@
 _acknowledgement_citation = \
 '''M. Doucet et al. SasView Version 4.2, Zenodo, 10.5281/zenodo.1412041'''
-
 _acknowledgement =  \
-'''This work was originally developed as part of the DANSE project funded by the US NSF under Award DMR-0520547,\n but is currently maintained by a collaboration between UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, DLS, and the scattering community.\n\n SasView also contains code developed with funding from the EU Horizon 2020 programme under the SINE2020 project (Grant No 654000).\nA list of individual contributors can be found at: http://www.sasview.org/contact.html
+'''This work was originally developed as part of the DANSE project funded by the US NSF under Award DMR-0520547,\n but is currently maintained by a collaboration between UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, DLS, BAM and the scattering community.\n\n SasView also contains code developed with funding from the EU Horizon 2020 programme under the SINE2020 project (Grant No 654000).\nA list of individual contributors can be found at: http://www.sasview.org/contact.html
 '''
 
@@ -76,4 +76,5 @@
 _tudelft_logo = os.path.join(icon_path, "tudelft_logo.png")
 _dls_logo = os.path.join(icon_path, "dls_logo.png")
+_bam_logo = os.path.join(icon_path, "bam_logo.png")
 _nsf_logo = os.path.join(icon_path, "nsf_logo.png")
 _danse_logo = os.path.join(icon_path, "danse_logo.png")
@@ -94,5 +95,5 @@
 _corner_image = os.path.join(icon_path, "angles_flat.png")
 _welcome_image = os.path.join(icon_path, "SVwelcome.png")
-_copyright = "(c) 2009 - 2017, UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, and DLS"
+_copyright = "(c) 2009 - 2018, UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, DLS and BAM"
 marketplace_url = "http://marketplace.sasview.org/"
 