Index: sansmodels/src/sans/models/test/utest_other_dispersity.py
===================================================================
--- sansmodels/src/sans/models/test/utest_other_dispersity.py	(revision ca4c150ae0a8eee664520390281bfd777e6a33ed)
+++ sansmodels/src/sans/models/test/utest_other_dispersity.py	(revision 876192b2223a223fe789d5537906b264f5297f5f)
@@ -32,7 +32,7 @@
         self.model.setParam('scale', 10.0)
         self.model.set_dispersion('radius', disp)
-        self.model.dispersion['radius']['width'] = 5.0
+        self.model.dispersion['radius']['width'] = 5.0/20.0
         self.model.dispersion['radius']['npts'] = 100
-        self.model.dispersion['radius']['nsigmas'] = 2.5
+        self.model.dispersion['radius']['nsigmas'] = 2.0
         print "constant",self.model.run(0.001), self.model.dispersion
         self.assertAlmostEqual(self.model.run(0.001), 1.021051*4527.47250339, 3)
@@ -43,7 +43,7 @@
         disp = GaussianDispersion()
         self.model.set_dispersion('radius', disp)
-        self.model.dispersion['radius']['width'] = 5.0
+        self.model.dispersion['radius']['width'] = 5.0/20.0
         self.model.dispersion['radius']['npts'] = 100
-        self.model.dispersion['radius']['nsigmas'] = 2.5
+        self.model.dispersion['radius']['nsigmas'] = 2.0
         self.model.setParam('scale', 10.0)
         
@@ -55,7 +55,7 @@
         disp = GaussianDispersion()
         self.model.set_dispersion('radius', disp)
-        self.model.dispersion['radius']['width'] = 5.0
+        self.model.dispersion['radius']['width'] = 5.0/20.0
         self.model.dispersion['radius']['npts'] = 100
-        self.model.dispersion['radius']['nsigmas'] = 2.5
+        self.model.dispersion['radius']['nsigmas'] = 2.0
         self.model.setParam('scale', 10.0)
         
@@ -69,13 +69,13 @@
         disp = SchulzDispersion()
         self.model.set_dispersion('radius', disp)
-        self.model.dispersion['radius']['width'] = 5.0
+        self.model.dispersion['radius']['width'] = 5.0/20.0
         #self.model.dispersion['radius']['width'] = 0.0
         self.model.dispersion['radius']['npts'] = 100
-        self.model.dispersion['radius']['nsigmas'] = 2.5
-        #self.model.setParam('scale', 1.0)
-        self.model.setParam('scale', 10.0)
+        self.model.dispersion['radius']['nsigmas'] = 2.0
+        self.model.setParam('scale', 1.0)
+        #self.model.setParam('scale', 10.0)
         print "schulz",self.model.run(0.001), self.model.dispersion
-        self.assertAlmostEqual(self.model.run(0.001), 450.355, 3)
-        self.assertAlmostEqual(self.model.runXY([0.001,0.001]), 452.299, 3)
+        self.assertAlmostEqual(self.model.run(0.001), 542.23568, 3)
+        self.assertAlmostEqual(self.model.runXY([0.001,0.001]), 544.54864, 3)
         
     def test_lognormal_zero(self):
@@ -83,14 +83,14 @@
         disp = LogNormalDispersion()
         self.model.set_dispersion('radius', disp)
-        self.model.dispersion['radius']['width'] = 5.0
+        self.model.dispersion['radius']['width'] = 5.0/20.0
         #self.model.dispersion['radius']['width'] = 0.0
         self.model.dispersion['radius']['npts'] = 100
-        self.model.dispersion['radius']['nsigmas'] = 2.5
-        #self.model.setParam('scale', 1.0)
-        self.model.setParam('scale', 10.0)
+        self.model.dispersion['radius']['nsigmas'] = 2.0
+        self.model.setParam('scale', 1.0)
+        #self.model.setParam('scale', 10.0)
         print "model dispersion",self.model.dispersion
         print "lognormal",self.model.run(0.001)
-        self.assertAlmostEqual(self.model.run(0.001), 450.355, 3)
-        self.assertAlmostEqual(self.model.runXY([0.001,0.001]), 452.299, 3)
+        self.assertAlmostEqual(self.model.run(0.001), 450.64237, 3)
+        self.assertAlmostEqual(self.model.runXY([0.001,0.001]), 452.58733, 3)
         
     def test_gaussian_zero(self):
@@ -100,5 +100,5 @@
         self.model.dispersion['radius']['width'] = 0.0
         self.model.dispersion['radius']['npts'] = 100
-        self.model.dispersion['radius']['nsigmas'] = 2.5
+        self.model.dispersion['radius']['nsigmas'] = 2.0
         self.model.setParam('scale', 1.0)
         