Index: src/sas/calculator/media/density_calculator_help.rst
===================================================================
--- src/sas/calculator/media/density_calculator_help.rst	(revision 78f02c3a0e9c508d44cf9f368712e61adf2ae443)
+++ src/sas/calculator/media/density_calculator_help.rst	(revision 920928fea8f68a5f32d02d5fc09039ae2726610b)
@@ -1,3 +1,3 @@
-..density_calculator_help.rst
+.. density_calculator_help.rst
 
 .. This is a port of the original SasView html help file to ReSTructured text
Index: src/sas/calculator/media/kiessig_calculator_help.rst
===================================================================
--- src/sas/calculator/media/kiessig_calculator_help.rst	(revision 78f02c3a0e9c508d44cf9f368712e61adf2ae443)
+++ src/sas/calculator/media/kiessig_calculator_help.rst	(revision 920928fea8f68a5f32d02d5fc09039ae2726610b)
@@ -1,3 +1,3 @@
-..kiessig_calculator_help.rst
+.. kiessig_calculator_help.rst
 
 .. This is a port of the original SasView html help file to ReSTructured text
Index: src/sas/calculator/media/resolution_calculator_help.rst
===================================================================
--- src/sas/calculator/media/resolution_calculator_help.rst	(revision 78f02c3a0e9c508d44cf9f368712e61adf2ae443)
+++ src/sas/calculator/media/resolution_calculator_help.rst	(revision 920928fea8f68a5f32d02d5fc09039ae2726610b)
@@ -1,3 +1,3 @@
-..resolution_calculator_help.rst
+.. resolution_calculator_help.rst
 
 .. This is a port of the original SasView html help file to ReSTructured text
Index: src/sas/calculator/media/sas_calculator_help.rst
===================================================================
--- src/sas/calculator/media/sas_calculator_help.rst	(revision 78f02c3a0e9c508d44cf9f368712e61adf2ae443)
+++ src/sas/calculator/media/sas_calculator_help.rst	(revision 920928fea8f68a5f32d02d5fc09039ae2726610b)
@@ -1,3 +1,3 @@
-..sas_calculator_help.rst
+.. sas_calculator_help.rst
 
 .. This is a port of the original SasView html help file to ReSTructured text
Index: src/sas/calculator/media/sld_calculator_help.rst
===================================================================
--- src/sas/calculator/media/sld_calculator_help.rst	(revision 23a9beb149c5d0f661ae1295aede00e83e311057)
+++ src/sas/calculator/media/sld_calculator_help.rst	(revision 920928fea8f68a5f32d02d5fc09039ae2726610b)
@@ -1,3 +1,3 @@
-..sld_calculator_help.rst
+.. sld_calculator_help.rst
 
 .. This is a port of the original SasView html help file to ReSTructured text
Index: src/sas/calculator/media/slit_calculator_help.rst
===================================================================
--- src/sas/calculator/media/slit_calculator_help.rst	(revision 78f02c3a0e9c508d44cf9f368712e61adf2ae443)
+++ src/sas/calculator/media/slit_calculator_help.rst	(revision 920928fea8f68a5f32d02d5fc09039ae2726610b)
@@ -1,3 +1,3 @@
-..slit_calculator_help.rst
+.. slit_calculator_help.rst
 
 .. This is a port of the original SasView html help file to ReSTructured text
Index: src/sas/data_util/media/data_operator_help.rst
===================================================================
--- src/sas/data_util/media/data_operator_help.rst	(revision 23a9beb149c5d0f661ae1295aede00e83e311057)
+++ src/sas/data_util/media/data_operator_help.rst	(revision 920928fea8f68a5f32d02d5fc09039ae2726610b)
@@ -1,3 +1,3 @@
-..data_operator_help.rst
+.. data_operator_help.rst
 
 .. This is a port of the original SasView html help file to ReSTructured text
@@ -37,3 +37,3 @@
 window.
 
-.. image:: image:: docs/sphinx-docs/source/user/calculator/media/data_oper_pic.png
+.. image:: data_oper_pic.png
Index: src/sas/fit/media/fitting_help.rst
===================================================================
--- src/sas/fit/media/fitting_help.rst	(revision 23a9beb149c5d0f661ae1295aede00e83e311057)
+++ src/sas/fit/media/fitting_help.rst	(revision 920928fea8f68a5f32d02d5fc09039ae2726610b)
@@ -1,3 +1,3 @@
-..fitting_help.rst
+.. fitting_help.rst
 
 .. This is a port of the original SasView html help file to ReSTructured text
@@ -90,5 +90,7 @@
 each FitPages.
 
-Note that the chi2/Npts returned is the sum of the chi2/Npts of each fits. If one needs the chi2 value only for a page, click the 'Compute' button in the FitPage to recalculate.
+Note that the chi2/Npts returned is the sum of the chi2/Npts of each fits. If 
+one needs the chi2 value only for a page, click the 'Compute' button in the 
+FitPage to recalculate.
 
 Simultaneous Fit with Constraint
@@ -135,5 +137,5 @@
 Fitting menubar.
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/batch_button_area.bmp
+.. image:: batch_button_area.bmp
 
 Figure 1: MenuBar: 
@@ -172,5 +174,5 @@
 Figure 2).
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/restore_batch_window.bmp
+.. image:: restore_batch_window.bmp
 
 Figure 2: Edit Menu: 
@@ -197,5 +199,5 @@
 column in the grid.
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/edit_menu.bmp
+.. image:: edit_menu.bmp
 
 Figure 3: Edit Menu:
@@ -226,5 +228,5 @@
 available only when at least one column will be removed from the grid.
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/file_menu.bmp
+.. image:: file_menu.bmp
 
 Figure 4: MenuBar:
@@ -267,5 +269,5 @@
 with valid entries for plotting to work. The dY-bar is optional (see Figure 5).
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/plot_button.bmp
+.. image:: plot_button.bmp
 
 Figure 5: Plotting
@@ -289,5 +291,5 @@
 data and fits. 
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/view_button.bmp
+.. image:: view_button.bmp
 
 Figure 6: View Fits
@@ -365,13 +367,13 @@
 button (Fig. 2).
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/cat_fig0.bmp
+.. image:: cat_fig0.bmp
 
 Fig.1
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/cat_fig1.bmp
+.. image:: cat_fig1.bmp
 
 Fig.2
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/cat_fig2.bmp
+.. image:: cat_fig2.bmp
 
 Fig.3
@@ -414,5 +416,5 @@
 function are effective after it is re-selected from the combo-box menu.
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/edit_model_menu.bmp
+.. image:: edit_model_menu.bmp
 
 .. _New:
@@ -424,5 +426,5 @@
 can be viewed and further modified by the 'Advanced' option below.
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/new_model.bmp
+.. image:: new_model.bmp
 
 .. _Sum_Multi_p1_p2:
@@ -437,5 +439,5 @@
 for activation. Hit the 'Close' button when it's done.
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sum_model.bmp
+.. image:: sum_model.bmp
 
 .. _Advanced:
@@ -494,5 +496,5 @@
 ------------------------
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image001.png
+.. image:: pd_image001.png
 
 The xmean is the mean of the distribution, w is the half-width, and Norm is a 
@@ -502,11 +504,11 @@
 The standard deviation is
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image002.png
+.. image:: pd_image002.png
 
 The PD (polydispersity) is
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image003.png
-
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image004.jpg
+.. image:: pd_image003.png
+
+.. image:: pd_image004.jpg
 
 .. _Array_Distribution:
@@ -537,5 +539,5 @@
 ---------------------
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image005.png
+.. image:: pd_image005.png
 
 The xmean is the mean of the distribution and Norm is a normalization factor 
@@ -544,7 +546,7 @@
 The PD (polydispersity) is
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image003.png
-
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image006.jpg
+.. image:: pd_image003.png
+
+.. image:: pd_image006.jpg
 
 .. _Lognormal_Distribution:
@@ -553,5 +555,5 @@
 ----------------------
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image007.png
+.. image:: pd_image007.png
 
 The /mu/=ln(xmed), xmed is the median value of the distribution, and Norm is a 
@@ -562,14 +564,14 @@
 The PD (polydispersity) is given by /sigma/
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image008.png
+.. image:: pd_image008.png
 
 For the angular distribution
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image009.png
+.. image:: pd_image009.png
 
 The mean value is given by xmean=exp(/mu/+p2/2). The peak value is given by 
 xpeak=exp(/mu/-p2).
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image010.jpg
+.. image:: pd_image010.jpg
 
 This distribution function spreads more and the peak shifts to the left as the 
@@ -581,5 +583,5 @@
 -------------------
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image011.png
+.. image:: pd_image011.png
 
 The xmean is the mean of the distribution and Norm is a normalization factor
@@ -590,5 +592,5 @@
 The PD (polydispersity) is
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image012.png
+.. image:: pd_image012.png
 
 Note that the higher PD (polydispersity) might need higher values of Npts and 
@@ -596,5 +598,5 @@
 Nsigmas >= 15 at least.
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image013.jpg
+.. image:: pd_image013.jpg
 
 .. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
@@ -618,18 +620,18 @@
 The sit smeared scattering intensity for SAS is defined by
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image002.gif
+.. image:: sm_image002.gif
 
 where Norm =
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image003.gif
+.. image:: sm_image003.gif
 
 Equation 1
 
-The functions .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image004.gif and .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image005.gif
+The functions .. image:: sm_image004.gif and .. image:: sm_image005.gif
 refer to the slit width weighting function and the slit height weighting 
 determined at the q point, respectively. Here, we assumes that the weighting 
 function is described by a rectangular function, i.e.,
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image006.gif
+.. image:: sm_image006.gif
 
 Equation 2
@@ -637,16 +639,16 @@
 and
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image007.gif
+.. image:: sm_image007.gif
 
 Equation 3
 
-so that .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image008.gif .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image009.gif for
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image010.gif and u.
-
-The .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image011.gif and .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif stand for
+so that .. image:: sm_image008.gif .. image:: sm_image009.gif for
+.. image:: sm_image010.gif and u.
+
+The .. image:: sm_image011.gif and .. image:: sm_image012.gif stand for
 the slit height (FWHM/2) and the slit width (FWHM/2) in the q space. Now the 
 integral of Equation 1 is simplified to
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image013.gif
+.. image:: sm_image013.gif
 
 Equation 4
@@ -658,30 +660,30 @@
 ------
 
-For .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif = 0 and .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image011.gif = 
+For .. image:: sm_image012.gif = 0 and .. image:: sm_image011.gif = 
 constant.
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image016.gif
+.. image:: sm_image016.gif
 
 For discrete q values, at the q values from the data points and at the q 
-values extended up to qN= qi + .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image011.gif the smeared 
+values extended up to qN= qi + .. image:: sm_image011.gif the smeared 
 intensity can be calculated approximately
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image017.gif
+.. image:: sm_image017.gif
 
 Equation 5
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image018.gif = 0 for *Is* in *j* < *i* or *j* > N-1*.
+.. image:: sm_image018.gif = 0 for *Is* in *j* < *i* or *j* > N-1*.
 
 Case 2
 ------
 
-For .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif = constant and 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image011.gif = 0.
+For .. image:: sm_image012.gif = constant and 
+.. image:: sm_image011.gif = 0.
 
 Similarly to Case 1, we get
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image019.gif for qp= qi- .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif
-
-and qN= qi+ .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif. .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image018.gif = 0
+.. image:: sm_image019.gif for qp= qi- .. image:: sm_image012.gif
+
+and qN= qi+ .. image:: sm_image012.gif. .. image:: sm_image018.gif = 0
 for *Is* in *j* < *p* or *j* > *N-1*.
 
@@ -689,6 +691,6 @@
 ------
 
-For .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image011.gif = constant and 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image011.gif = constant.
+For .. image:: sm_image011.gif = constant and 
+.. image:: sm_image011.gif = constant.
 
 In this case, the best way is to perform the integration, Equation 1, 
@@ -701,10 +703,10 @@
 numerical integration for the slit width.
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image020.gif
+.. image:: sm_image020.gif
 
 Equation 7
 
-for qp= qi- .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif and
-qN= qi+ .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif. .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image018.gif = 0 for
+for qp= qi- .. image:: sm_image012.gif and
+qN= qi+ .. image:: sm_image012.gif. .. image:: sm_image018.gif = 0 for
 *Is* in *j* < *p* or *j* > *N-1*.
 
@@ -718,5 +720,5 @@
 for this case becomes
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image021.gif
+.. image:: sm_image021.gif
 
 Equation 8
@@ -737,5 +739,5 @@
 except that the weight function used was the 2D elliptical Gaussian function
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image022.gif
+.. image:: sm_image022.gif
 
 Equation 9
@@ -748,5 +750,5 @@
 distribution. The A is a normalization factor.
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image023.gif
+.. image:: sm_image023.gif
 
 Now we consider a numerical integration where each bins in /theta/ and R are 
@@ -755,5 +757,5 @@
 within the bins which in turn becomes
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image024.gif
+.. image:: sm_image024.gif
 
 Equation 10
@@ -763,5 +765,5 @@
 axis). Then, for the polar symmetric smear
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image025.gif
+.. image:: sm_image025.gif
 
 Equation 11
@@ -769,9 +771,9 @@
 where
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image026.gif
+.. image:: sm_image026.gif
 
 while for the x-y symmetric smear
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image027.gif
+.. image:: sm_image027.gif
 
 Equation 12
@@ -779,5 +781,5 @@
 where
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image028.gif
+.. image:: sm_image028.gif
 
 Here, the current version of the SasView uses Equation 11 for 2D smearing 
@@ -809,9 +811,9 @@
 vector *Q* contributes to the the magnetic scattering length.
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/mag_vector.bmp
+.. image:: mag_vector.bmp
 
 The magnetic scattering length density is then
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/dm_eq.gif
+.. image:: dm_eq.gif
 
 where /gamma/ = -1.913 the gyromagnetic ratio, /mu/B is the Bohr magneton, r0 
@@ -826,5 +828,5 @@
 Spin flips:     (+ -) and (- +)
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/M_angles_pic.bmp
+.. image:: M_angles_pic.bmp
 
 Now, let's assume that the angles of the *Q*  vector and the spin-axis (x') 
@@ -834,21 +836,21 @@
 as, for non-spin-flips
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sld1.gif
+.. image:: sld1.gif
 
 for spin-flips
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sld2.gif
+.. image:: sld2.gif
 
 where
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/mxp.gif
-
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/myp.gif
-
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/mzp.gif
-
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/mqx.gif
-
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/mqy.gif
+.. image:: mxp.gif
+
+.. image:: myp.gif
+
+.. image:: mzp.gif
+
+.. image:: mqx.gif
+
+.. image:: mqy.gif
 
 Here, the M0x, M0y and M0z are the x, y and z components of the magnetization 
@@ -856,9 +858,9 @@
 and /phi/M as defined in the Figure (above)
 
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/m0x_eq.gif
-
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/m0y_eq.gif
-
-.. image:: docs/sphinx-docs/source/user/perspectives/fitting/m0z_eq.gif
+.. image:: m0x_eq.gif
+
+.. image:: m0y_eq.gif
+
+.. image:: m0z_eq.gif
 
 The user input parameters are M0_sld = DMM0, Up_theta = /theta/up, 
Index: src/sas/perspectives/calculator/media/image_viewer_help.rst
===================================================================
--- src/sas/perspectives/calculator/media/image_viewer_help.rst	(revision 78f02c3a0e9c508d44cf9f368712e61adf2ae443)
+++ src/sas/perspectives/calculator/media/image_viewer_help.rst	(revision 920928fea8f68a5f32d02d5fc09039ae2726610b)
@@ -1,3 +1,3 @@
-..image_viewer_help.rst
+.. image_viewer_help.rst
 
 .. This is a port of the original SasView html help file to ReSTructured text
Index: src/sas/perspectives/calculator/media/python_shell_help.rst
===================================================================
--- src/sas/perspectives/calculator/media/python_shell_help.rst	(revision 78f02c3a0e9c508d44cf9f368712e61adf2ae443)
+++ src/sas/perspectives/calculator/media/python_shell_help.rst	(revision 920928fea8f68a5f32d02d5fc09039ae2726610b)
@@ -1,3 +1,3 @@
-..python_shell_help.rst
+.. python_shell_help.rst
 
 .. This is a port of the original SasView html help file to ReSTructured text